Skip to content

List plans

GET
/plans
curl --request GET \
--url https://api.ltesocks.io/v2/plans \
--header 'Authorization: Bearer <token>'

Returns the mobile proxy plans available to the current account.

Successful operation

Media typeapplication/json
object
plans
Array<object>
object
id
string
name
string
available
boolean
availablePorts
integer
description
string
countryCode
string
vpnAccess
boolean
tarifications
Array<object>
object
time

Plan duration time in seconds

integer
traffic

Plan traffic amount in megabytes

integer
price

Plan price in cents

integer
Example
{
"plans": [
{
"id": "5349b4ddd2781d08c09890f3",
"name": "UK Three",
"available": true,
"availablePorts": 10,
"description": "Plan description",
"countryCode": "UK",
"vpnAccess": true,
"tarifications": [
{
"time": 2592000,
"traffic": 51200,
"price": 14500
}
]
}
]
}

The bearer token is missing, invalid, or no longer active.

Media typeapplication/json
object
error

Error text representation

string
Example
{
"error": "example error"
}

The configured request limit has been exceeded.

Media typeapplication/json
object
error

Error text representation

string
Example
{
"error": "example error"
}

Error

Media typeapplication/json
object
error

Error text representation

string
Example
{
"error": "example error"
}